> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getOverTimeTypes

> 
The `getOverTimeTypes` API retrieves available overtime type identifiers that can be used in payroll processing and time tracking.

### What it does:

- Returns a list of accepted overtime types for payroll processing
- Provides standardized overtime identifiers for time tracking and payroll calculations
- Allows users to receive pay on top of their base amount that is recorded and taxed accordingly



## OpenAPI

````yaml get /reports/getOverTimeTypes
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports/getOverTimeTypes:
    get:
      tags: []
      summary: getOverTimeTypes
      description: >-

        The `getOverTimeTypes` API retrieves available overtime type identifiers
        that can be used in payroll processing and time tracking.


        ### What it does:


        - Returns a list of accepted overtime types for payroll processing

        - Provides standardized overtime identifiers for time tracking and
        payroll calculations

        - Allows users to receive pay on top of their base amount that is
        recorded and taxed accordingly
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: getUser
              required:
                - method
            example:
              method: getOverTimeTypes
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  overTimeTypes:
                    type: array
                    items:
                      type: string
                required:
                  - overTimeTypes
              example:
                overTimeTypes:
                  - Compensatory Time Off
                  - Holiday/Weekend OT
                  - Premium OT (over 20 hours)
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
              example:
                error:
                  code: 400
                  message: EmployeeId is Mandatory.
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````